<div id="tabStats" style="width: 100%; display: none;">
    <div style="min-height: 100%; height: 100%;">
        <!-- Acquisition toolbar -->
        <div class="btn-toolbar stats-toolbar" id="divStatsToolbar" role="toolbar">
            <!-- Recorder controls-->
            <div class="btn-group mr-2 btn-group-sm" role="group" style="height: 35px;">
                <button class="btn btn-outline-info disabled stats-toolbar-buttons" disabled id="btnStatsRecord" title="Start" type="button">
                    <i class="bi bi-play-circle-fill stats-toolbar-icons" id="btnStatsRecordI" style="color: var(--ydb-purple)"></i>
                </button>
                <button class="btn btn-outline-info disabled stats-toolbar-buttons" disabled id="btnStatsPause" title="Pause" type="button">
                    <i class="bi bi-pause-circle-fill stats-toolbar-icons"></i>
                </button>
                <button class="btn btn-outline-info disabled stats-toolbar-buttons" disabled id="btnStatsStop" style="margin-right: 20px;" title="Stop" type="button">
                    <i class="bi bi-stop-circle-fill stats-toolbar-icons"></i>
                </button>
            </div>

            <!-- tools -->
            <div class="btn-group mr-2 btn-group-sm" role="group" style="height: 35px;">
                <button class="btn btn-outline-info stats-toolbar-buttons" id="btnStatsSources" title="Sources" type="button">
                    <i class="bi bi-sliders stats-toolbar-icons"></i>
                </button>
                <button class="btn btn-outline-info stats-toolbar-buttons" id="btnStatsDef" style="margin-right: 14px;" title="Report definition" type="button">
                    <i class="bi bi-layout-wtf stats-toolbar-icons"></i>
                </button>
                <button class="btn btn-outline-info stats-toolbar-buttons" id="btnStatsTheme" title="Switch to dark theme" type="button">
                    <i class="bi bi-brightness-high-fill stats-toolbar-icons"></i>
                </button>
            </div>

            <!-- file operations-->
            <div class="btn-group mr-2 btn-group-sm" role="group" style="height: 35px;">
                <button class="btn btn-outline-info stats-toolbar-buttons disabled" disabled id="btnStatsNew" style="margin-right: 15px;" title="New report" type="button">
                    <i class="bi bi-file stats-toolbar-icons"></i>
                </button>
                <button class="btn btn-outline-info stats-toolbar-buttons" id="btnStatsLoad" title="Load report" type="button">
                    <i class="bi bi-folder2-open stats-toolbar-icons"></i>
                </button>
                <button class="btn btn-outline-info stats-toolbar-buttons" id="btnStatsSave" title="Save report" type="button">
                    <i class="bi bi-floppy stats-toolbar-icons"></i>
                </button>
            </div>

            <!-- help -->
            <div class="btn-group mr-2 btn-group-sm" role="group" style="height: 35px; float: right;">
                <button class="btn btn-outline-info stats-toolbar-buttons" id="btnStatsHelp" style="margin-right: -6px;" title="Help" type="button">
                    <i class="bi bi-question-square stats-toolbar-icons"></i>
                </button>
            </div>
        </div>

        <!-- Result toolbar -->
        <div class="btn-toolbar stats-toolbar" id="divStatsToolbarResult" role="toolbar" style="display: none;">
            <div class="btn-group mr-2 btn-group-sm" role="group" style="height: 44px;">
                <select class="form-control form-control-sm " id="selStatsResultsSource" style="height: 23px; margin-top: 4px; margin-left: 10px; font-size: 11px;">
                    <option>DEFAULT /agg / 1s</option>
                </select>
            </div>

            <!-- Regions -->
            <div class="dropdown" style="display: contents;">
                <button class="btn btn-default dropdown-toggle" data-toggle="dropdown" id="ddStatsResultsRegions" style="padding-top: 0; margin-top: -7px;" type="button">
                    <span style="font-size: 11px">Regions:</span>
                    <i class="glyphicon glyphicon-cog"></i>
                    <span class="caret"></span>
                </button>
                <ul class="dropdown-menu checkbox-menu allow-focus" id="selStatsResultToolbarRegions">
                </ul>
            </div>

            <!-- Processes -->
            <div class="dropdown" style="display: contents;">
                <button class="btn btn-default dropdown-toggle" data-toggle="dropdown" id="ddStatsResultsProcesses" style="padding-top: 0; margin-top: -7px;" type="button">
                    <span style="font-size: 11px">Processes</span>
                    <i class="glyphicon glyphicon-cog"></i>
                    <span class="caret"></span>
                </button>
                <ul class="dropdown-menu checkbox-menu allow-focus" id="selStatsResultToolbarProcesses">
                </ul>
            </div>

            <!-- Samples -->
            <div class="dropdown" style="display: contents;">
                <button class="btn btn-default dropdown-toggle" data-toggle="dropdown" id="ddStatsResultsSamples" style="padding-top: 0; margin-top: -7px;" type="button">
                    <span style="font-size: 11px">Samples</span>
                    <i class="glyphicon glyphicon-cog"></i>
                    <span class="caret"></span>
                </button>
                <ul class="dropdown-menu checkbox-menu allow-focus" id="selStatsResultToolbarSamples">
                </ul>
            </div>

            <!-- Values -->
            <div class="dropdown" style="display: contents;">
                <button class="btn btn-default dropdown-toggle" data-toggle="dropdown" id="ddStatsResultsSampleTypes" style="padding-top: 0; margin-top: -7px;" type="button">
                    <span style="font-size: 11px">Values</span>
                    <i class="glyphicon glyphicon-cog"></i>
                    <span class="caret"></span>
                </button>
                <ul class="dropdown-menu checkbox-menu allow-focus" id="selStatsResultToolbarSampleTypes">
                </ul>
            </div>

            <!-- zoom -->
            <div class="btn-group mr-2 btn-group-sm" role="group" style="height: 44px;">
                <button class="btn btn-outline-info stats-toolbar-buttons" id="btnStatsToolbarResultsZoomOut" style="margin-left: 30px; margin-right: 5px;" title="Zoom out" type="button">
                    <i class="bi bi-zoom-out stats-toolbar-icons"></i>
                </button>
                <button class="btn btn-outline-info stats-toolbar-buttons" id="btnStatsToolbarResultsZoomIn" style="margin-right: 10px;" title="Zoom in" type="button">
                    <i class="bi bi-zoom-in stats-toolbar-icons"></i>
                </button>
            </div>

            <!-- properties -->
            <div class="btn-group mr-2 btn-group-sm" role="group" style="height: 44px;">
                <button class="btn btn-outline-info stats-toolbar-buttons" id="btnStatsToolbarResultsProperties" style="margin-right: 10px;" title="Source information" type="button">
                    <i class="bi bi-info-circle stats-toolbar-icons"></i>
                </button>
            </div>

            <!-- export -->
            <div class="btn-group mr-2 btn-group-sm" role="group" style="height: 44px;">
                <button class="btn btn-outline-info stats-toolbar-buttons" id="btnStatsToolbarResultsExport" title="Export" type="button">
                    <i class="bi bi-floppy stats-toolbar-icons"></i>
                </button>
            </div>

            <!-- help -->
            <div class="btn-group mr-2 btn-group-sm" role="group" style="height: 44px; float: right;">
                <button class="btn btn-outline-info stats-toolbar-buttons" id="btnStatsToolbarResultsHelp" style="margin-right: -6px;" title="Help" type="button">
                    <i class="bi bi-question-square stats-toolbar-icons"></i>
                </button>
            </div>
        </div>


        <nav style="margin-top: 12px;">
            <div class="nav nav-tabs" id="nav-tab" role="tablist">
                <button class="nav-link active" data-target="#divStatsFullContainer" data-toggle="tab" id="tabStatsAcquisition" role="tab" style="cursor: default; font-size:12px" type="button">Spark
                    Chart
                </button>
                <button class="nav-link" data-target="#divStatsTabResults" data-toggle="tab" id="tabStatsResult" role="tab" style="cursor: default; font-size:12px" type="button">Results
                </button>
            </div>
        </nav>


        <div class="tab-content" id="nav-tabContent">
            <!-- spark chart tab-->
            <div class="tab-pane fade show active" id="divStatsFullContainer" role="tabpanel">
                <div id="divStatsScroller" style="overflow-y: auto;">
                    <div class="stats-spark-panel-top" id="divStatsSparkChartGraphsContainer" style="height: 100px; display: none;">
                        <div id="divStatsSparkChartGraph1" style="border: 1px solid silver; height: 100%;">
                        <span class="chart-icons" id="spanStatsGraph1Tools">
                            <i class="bi bi-graph-down-arrow chart-icons-glyphs" id="btnStatsGraph1Yaxis"></i>&nbsp;
                            <i class="bi bi-sliders2-vertical chart-icons-glyphs" id="btnStatsGraph1Timescale"></i>
                        </span>
                            <canvas id="graphStatsSparkChartGraph1">
                            </canvas>
                        </div>
                        <div id="divStatsSparkChartGraph2" style="border: 1px solid silver; height: 100%;">
                        <span class="chart-icons" id="spanStatsGraph2Tools">
                            <i class="bi bi-graph-down-arrow chart-icons-glyphs" id="btnStatsGraph2Yaxis"></i>&nbsp;
                            <i class="bi bi-sliders2-vertical chart-icons-glyphs" id="btnStatsGraph2Timescale"></i>
                        </span>
                            <canvas id="graphStatsSparkChartGraph2"></canvas>
                        </div>
                    </div>
                    <div class="qry-splitter splitter-horizontal" id="divStatsSparkChartSplitter" style="display: none;"></div>

                    <div class="stats-spark-panel-bottom" id="divStatsSparkChartSparkChartContainer" onclick="app.ui.stats.sparkChart.renderer.sections.graphs.tools.reset()"
                         style="display: block; height: calc( 100vh - 233px ); overflow: auto; text-align: center; vertical-align: center;">
                        <span id="spanStatsEmptySparkchart" style="color: var(--ydb-orange);"><br>No view is defined...</span>
                        <div id="divStatsSparkchartReport">
                        </div>
                    </div>
                </div>
            </div>

            <!-- results tab content-->
            <div class="tab-pane fade" id="divStatsTabResults" role="tabpanel">
                <div class="tab-content" id="divStatsTabResultsContainer">
                    <div class="tab-content" id="nav-tabConten-2t">
                        <!-- result tabs-->
                    </div>
                </div>
            </div>
        </div>

        <!-- status bar -->
        <div class="stats-status-bar" id="navStatsStatusbarAcquisition" style="display: none;">
            <span class="led" id="statsLed"></span>
            <span style="margin-left: 5px; width: 130px;">
                <span class="bold">Status:&nbsp;</span>
                <span id="lblStatsControllerStatus">Stopped</span>
                &nbsp;&nbsp;
            </span>
            <span class="bold" id="lblStatsStatusBarSampleRateCaption">Sample rate:</span>&nbsp;&nbsp;
            <span id="lblStatsStatusBarSampleRateValue">N/A</span>
            <span class="stats-status" style="right: 28px; position: absolute;">
                <span class="stats-status bold">
                    Timestamp:&nbsp;
                </span>
                <span id="lblStatsControllerTimestamp" style="margin-right: 20px;">00:00:00</span>
                <span style="margin-left: 5px; width: 150px; text-align: right; padding-right: 46px; display: contents;">
                    <span class="bold"># of samples:&nbsp;</span>
                    <span id="lblStatsControllerSamples">0</span>
                </span>
            </span>
        </div>
    </div>
</div>

<!-- graphs special toolbar tools -->
<div class="sparkChart-graph-toolbar-size-tool modal-content-shadow" id="divStatsGraphToolbarResize" style="display: none;">
    <div style="padding-bottom: 10px;">Seconds in view:</div>
    <div class="stats-graphs-sample-rate-range" id="rngStatsGraphToolbarResize">
        <div class="ui-slider-handle" id="custom-handle"></div>
    </div>
</div>

<div class="sparkChart-graph-toolbar-yaxis-tool modal-content-shadow" id="divStatsGraphToolbarYaxis" style="display: none;">
    <div class="row" style="display: block; text-align: center;">
        <strong>Y-Axis:&nbsp;&nbsp;&nbsp;&nbsp;</strong>
        <div class="custom-control custom-radio custom-control-inline">
            <input class="custom-control-input" id="chkStatsGraphToolbarYaxisCommon" name="chkStatsGraphToolbarYaxis" type="radio" value="common">
            <label class="custom-control-label" for="chkStatsGraphToolbarYaxisCommon">Common</label>
        </div>
        <div class="custom-control custom-radio custom-control-inline">
            <input class="custom-control-input" id="chkStatsGraphToolbarYaxisIndividual" name="chkStatsGraphToolbarYaxis" type="radio" value="individual">
            <label class="custom-control-label" for="chkStatsGraphToolbarYaxisIndividual">Individual</label>
        </div>
    </div>
    <hr style="border-top: 1px solid rgba(0,0,0,.1);">
    <div class="row">
        <div id="divStatsGraphToolbarYaxisShared" style="width: 100%; display: none; text-align: center;">
            <h5 style="padding-bottom: 5px;">All the series share the same Y axis... </h5>
            <button class="btn btn-outline-info btn-block btn-sm" id="btnStatsGraphToolbarYaxisShared" onclick="app.ui.stats.sparkChart.renderer.sections.graphs.tools.yAxis.sharedSettingsClicked()"
                    type="button">
                Settings...
            </button>
        </div>

        <div id="divStatsGraphToolbarYaxisIndividual" style="width: 100%; display: none; overflow: auto; height: 250px;">
            <ul class="spark-chart-graph-preview" id="ulStatsGraphToolbarYaxisIndividual"></ul>

        </div>
    </div>
</div>
